<p align="center"><img src="https://i.ibb.co/w6d0kJz/Banner-Land-Animals.jpg"></p>
<p align="center"><b>For Questions or Comments go to: <a href="https://discord.gg/mZNHDwxTgp">Marlton's Channel</a> or to my website: <a href="https://marlthon.com/">Marlthon's Website</a></b></p>

## Description
Land Animals Family arrived in Valheim (Brown Bear, Capybara, Artic Fox, Fox, Deer, Hare, Moose, Wolf, Squirrel, Raccoon and Boar).</br>
All animals drop skins and meat that can be cooked in vanilla fires.</br>
Males, in addition to dropping skin and meat, can drop trophies and can be MOUNTED with the LandAnimals Saddle.</br>
You can convert LandAnimals skins to Vanilla skins using the Workbench.</br>

## ATTENTION
This MOD is free to play alone or offline, <mark>to play with friends or on a dedicated server you need to register and be a donor.</mark></BR>
You are free to download and test this mod or play it offline.

## Support
Did you like my Mods? If you want to support me click on the image link below:</br>

<a href="https://marlthon.com/donate-page"><img src="https://i.ibb.co/kJqcqkg/Pay-Pal-Donate.png" /></a>

*Any donation help me to continue creating and updating mods. Thank you very much for your support.**

## PrefabNames

<details>
<summary><b>BEAR FAMILY</b> (<i>click to expand</i>)</summary>
Spawn Area: Male (BlackFlorest), Female (Meadows)</br>
RequiredWeather: BlackForestFog, Fog.</br>
Spawn Time: Night and Day</br>
PrefabNames:</br>
Brown Bear Male = GraveBear (mount)</br>
Brown Bear Female =  MrsGraveBear</br>
Brown Bear Cub = GraveBearCub</br>
Food Itens: DeerMeat, ChickenMeat, BugMeat, LoxMeat, RawMeat, NeckTail, HareMeat, LA_HareMeat, LA_BearMeat, LA_BoarMeat, LA_CapybaraMeat, LA_DeerMeat, LA_FoxMeat, LA_MooseMeat, LA_WolfMeat</br>
</details>
<details>
<summary><b>ARTIC FOX FAMILY</b> (<i>click to expand</i>)</summary>
Spawn Area: Mountain and DeepNorth</br>
RequiredWeather = None.</br>
Spawn Time: Day</br>
PrefabNames:</br>
Fox Female: LA_ArticFoxFemale</br>
Fox Male: LA_ArticFoxMale</br>
Fox Puppy: LA_ArticFoxCub</br>
Food Itens: DeerMeat, ChickenMeat, BugMeat, LoxMeat, RawMeat, NeckTail, HareMeat, LA_HareMeat, LA_BearMeat, LA_BoarMeat, LA_CapybaraMeat, LA_DeerMeat, LA_FoxMeat, LA_MooseMeat, LA_WolfMeat</br>
</details>
<details>
<summary><b>FOX FAMILY</b> (<i>click to expand</i>)</summary>
Spawn Area: Meadows</br>
RequiredWeather: none</br>
Spawn Time: Night</br>
PrefabNames:</br>
Fox Female: LA_FoxFemale</br>
Fox Male: LA_FoxMale</br>
Fox Puppy: LA_FoxCub</br>
Food Itens: DeerMeat, ChickenMeat, BugMeat, LoxMeat, RawMeat, NeckTail, HareMeat, LA_HareMeat, LA_BearMeat, LA_BoarMeat, LA_CapybaraMeat, LA_DeerMeat, LA_FoxMeat, LA_MooseMeat, LA_WolfMeat</br>
</details>
<details>
<summary><b>DEER FAMILY</b> (<i>click to expand</i>)</summary>
Spawn Area: DeerDoe and DeerStag (Meadows), RedDeer (BlackFlorest)</br>
RequiredWeather: ClearSkies, MeadowsClearSkies, BlackForestFog, Fog.</br>
Spawn Time: Night and Day</br>
PrefabNames:</br>
Deer Doe = LA_DeerDoe</br>
Deer Stag = LA_DeerStag (mount)</br>
Red Deer = LA_DeerRed (mount)</br>
Deer Calf = LA_DeerCalf</br>
Food Items = Mushroom, Blueberries, Carrot, Cloudberry, Dandelion, Onion, Raspberry, Turnip, MushroomYellow, Flax, Barley</br>
</details>
<details>
<summary><b>MOOSE FAMILY</b> (<i>click to expand</i>)</summary>
Spawn Area: Male (Meadows and BlackFlorest) Female (Meadows)</br>
RequiredWeather: LightRain, Rain, BlackForestFog, Fog.</br>
Spawn Time: Night and Day</br>
PrefabNames:</br>
Moose Bull: LA_MooseBull (mount)</br>
Moose Cow: LA_MooseCow</br>
Moose Calf: LA_MooseCalf</br>
Food Items = Mushroom, Blueberries, Carrot, Cloudberry, Dandelion, Onion, Raspberry, Turnip, MushroomYellow, Flax, Barley</br>
</details>
<details>
<summary><b>CAPYBARA FAMILY</b> (<i>click to expand</i>)</summary>
Spawn Area: Meadows (no Florest area)</br>
RequiredWeather: None</br>
Spawn Time: Night and Day</br>
PrefabNames:</br>
Capybara: LA_Capybara</br>
Little Capy: LA_LittleCapy</br>
Food Items = Mushroom, Blueberries, Carrot, Cloudberry, Dandelion, Onion, Raspberry, Turnip, MushroomYellow, Flax, Barley</br>
</details>
<details>
<summary><b>WILD BOAR FAMILY</b> (<i>click to expand</i>)</summary>
Spawn Area: Black Florest</br>
RequiredWeather: None</br>
Spawn Time: Night and Day</br>
PrefabNames:</br>
Wild Boar Male: LA_WildBoarMale</br>
Wild Boar Female: LA_WildBoarFemale</br>
Wild Boar Cub: LA_WildBoarCub</br>
Food Items = Mushroom, Blueberries, Carrot, Cloudberry, Dandelion, Onion, Raspberry, Turnip, MushroomYellow, Flax, Barley</br>
</details>
<details>
<summary><b>WILD HARE FAMILY</b> (<i>click to expand</i>)</summary>
Spawn Area: Meadows (no florest area)</br>
RequiredWeather: ClearSkies, MeadowsClearSkies</br>
Spawn Time: Day.</br>
PrefabNames:</br>
Wild Hare Male: LA_WildHareMale</br>
Wild Hare Female: LA_WildHareFemale</br>
Wild Hare Cub: LA_WildHareCub</br>
Food Items = Mushroom, Blueberries, Carrot, Cloudberry, Dandelion, Onion, Raspberry, Turnip, MushroomYellow, Flax, Barley</br>
</details>
<details>
<summary><b>PLAINS WOLF FAMILY</b> (<i>click to expand</i>)</summary>
Spawn Area: Plains</br>
RequiredWeather: LightRain, ClearSkies, Fog.</br>
Spawn Time: Night and Day.</br>
PrefabNames:</br>
Plains Wolf Male: LA_WolfMale (mount)</br>
Plains Wolf Female: LA_WolfFemale</br>
Plains Wolf Puppy: LA_WolfCub</br>
Food Items = DeerMeat, ChickenMeat, BugMeat, LoxMeat, RawMeat, NeckTail, HareMeat, LA_HareMeat, LA_BearMeat, LA_BoarMeat, LA_CapybaraMeat, LA_DeerMeat, LA_FoxMeat, LA_MooseMeat, LA_WolfMeat</br>
</details>
<details>
<summary><b>SQUIRREL FAMILY</b> (<i>click to expand</i>)</summary>
Spawn Area: Meadowns</br>
RequiredWeather: ClearSkies, MeadowsClearSkies.</br>
Spawn Time: Day.</br>
PrefabNames:</br>
Squirrel Male: LA_SquirrelMale</br>
Squirrel Female: LA_SquirrelFemale</br>
Squirrel Cub: LA_SquirrelCub</br>
Food Items: LA_Nut, Acorn, BirchSeeds, BeechSeeds.
</details>
<details>
<summary><b>RACCOON FAMILY</b> (<i>click to expand</i>)</summary>
Spawn Area: Black Florest</br>
RequiredWeather: None.</br>
Spawn Time: Night and Day.</br>
PrefabNames:</br>
Raccoon Male: LA_RaccoonMale</br>
Raccoon Female: LA_RaccoonFemale</br>
Raccoon Cub: LA_RaccoonCub</br>
FoodItems = "DeerMeat, ChickenMeat, BugMeat, LoxMeat, RawMeat, NeckTail, HareMeat, LA_HareMeat, LA_BearMeat, LA_BoarMeat, LA_CapybaraMeat, LA_DeerMeat, LA_FoxMeat, LA_MooseMeat, LA_WolfMeat, Mushroom,</br>
Blueberries, Carrot, Cloudberry, Dandelion, Onion, Raspberry, Turnip</br>
</details>
<details>
<summary><b>SKIN CONVERSION</b> (<i>click to expand</i>)</summary>
02 LA_HideBear = 01 LoxPelt</br>
01 LA_HideDeerRed = 01 DeerHide</br>
01 LA_HideDeerStag = 01 DeerHide</br>
01 LA_HideBoar + 02 Blueberries = 01 TrollHide</br>
01 LA_HideCapybara = 01 LeatherScraps</br>
01 LA_HideArticFox = 01 WolfPelt</br>
02 LA_HideFox = 01 WolfPelt</br>
01 LA_HideHare = 01 LeatherScraps</br>
02 LA_HideMoose = 01 LoxPelt</br>
01 LA_HideWolf = 02 WolfPelt</br>
02 LA_HideRaccoon + 02 Raspberry = 01 JuteRed</br>
02 LA_HideRaccoon + 02 Blueberries = 01 JuteBlue</br>
</details>
</br>

<p align="center"><img src="https://i.ibb.co/2PKf4PK/Mosaico-Land-Animals.jpg"></p>

<p align="center"><b><i><mark>DONORS UNLOCK USAGE ON DEDICATED SERVERS AND HOST SERVERS</b></i></mark></p></br>

## Thanks

My sincere thanks to the entire OdinPlus team -  <i>@Azummat - @Blaxxun's - DefendYourBase</i>

A special thanks to my Professor <i>@GraveBear</i>, without his teachings and his encouragement I would never have gotten it.

# Manual Install

> Mod is required on Server for Config Sync (this is still in development). 

> Download the latest copy of Bepinex per author's instructions.

> Place the LandAnimals.dll inside of the "Bepinex\plugins\" folder.

<p align="center"><b>For Questions or Comments go to: <a href="https://discord.gg/mZNHDwxTgp">Marlton's Channel</a> or to my website: <a href="https://marlthon.com/">Marlthon's Website</a></b></p>

<p align="center"><img src="https://i.ibb.co/XkCT77x/Marlthon-Mods.png"></p>

[![KeyManager Disclaimer](https://noobtrap.eu/images/keymanager_disclaimer.png)](https://key.sayless.eu/faq.php)


# Latest ChangeLog

	v0.2.3
	- Added Artic Fox Family.
	- Fixed small bugs.
 
<details>
<summary><b>Previous ChangeLog</b> (<i>click to expand</i>)</summary>
<br/>

	v0.0.1
	- First version released, server sync active. (Will override player config if installed to server)
  
	v0.0.2
	- Fixed BrownBear attack, and animal textures.
  
	v0.0.3
	- Added in Mistlands KomodoDragon and AlligatorTurtle. BrownBear with more damage and more HP.
  
	v0.0.4
	- Fixed bug in Rugs, Modified spawn time of all creatures, decreased damage from Cassowary, fox, Capybara, Tortoise and BlueFrog.
  
	v0.0.5
	- Fixed bug where capybaras would not breed.
  
	v0.0.6
	- Only post corrections
  
	v0.0.7
	- Fix for Valheim Update Patch 0.211.11 (28/10/2022)
  
	v0.0.8
	- Fix Ruth the Viper Bug
  
	v0.0.9
	- Removed: Causar, Komodo, Alligator Turtle, Frog, Turtle, Ibex, and Viper.
	- Added: Bear family, Boar Family, Capybara Family, Deer family, Moose Family, Hare Family, Fox Family and Plain Wolf Family.
	- Added: Saddle LandAnimal, new skins, rugs, trophies and meats.
	- Added: KeyManager.

	v0.1.0
	- Fixed the error that did not allow to roast the meats in the vanilla cookstation

	v0.1.1
	- Minor fixes and improvements

	v0.1.2
	- Post fixes and changes to discord addresses.

	v0.1.3
	- Fixed Plains Wolves attack bug.
	- Fix bugs in Moose attack.
	- Modified mechanics of rabbits

	v0.1.4
	- Fixed bug in mounts.
	- Added Squirrels and Nuts.

	v0.1.5
	- Changing skin icons.
	- Rugs now give comfort.
	- Fixed Deer Meat stats.
	- Change in time and spawn chance.

	v0.1.6
	- KeyManager update for new patch (0.213.4)
	- Added WildSoup and NutSoup.

	v0.1.7
	- Added Racconns, can be tamed and breed.
	- Added HideRaccoon and Rug Raccoon.

	v0.1.8
	- Modified behavior of Deer, Rabbits, Squirrels and Raccoons.
	- Added Female Squirrel and Squirrel Cub.
	- Squirrels can now be tamed and breed.

	v0.1.9
	- Added compatibility with Patch 0.216.9 changes.
 
	v0.2.0
	- Updated to the latest valheim build (217.14) hilders request.
	- Registered multiplayer effects.
	
	v0.2.1
	- Adjustments to animal spawns.
	- Adjustments to animal animations.
	- Removed bear caves.
	- Added the option to convert skins to Vanilla skins.
	
	v0.2.2
	- Version error correction
</details>